Last Comment Bug 7886 - Charset Override mechanism needed for browser
: Charset Override mechanism needed for browser
Status: VERIFIED FIXED
[nsbeta2+]
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 major (vote)
: M16
Assigned To: cata
: Teruko Kobayashi
: Makoto Kato [:m_kato]
Mentors:
: 30169 (view as bug list)
Depends on:
Blocks: 20761 28284 28740
  Show dependency treegraph
 
Reported: 1999-06-09 18:17 PDT by Katsuhiko Momoi
Modified: 2000-06-30 13:58 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Katsuhiko Momoi 1999-06-09 18:17:02 PDT
I'm filing this bug to make a formal request that we put in a
charset override mechanism for the Browser. We have had an internal
document for the earlier 5.0 specification:

http://warp/GApps/intl/gromit/gromitencode.html#feedback

which could be useful in looking at issues raised earlier.
It is not necessary that we follow the recommendations there
but we should at least be able to address the issues there
with our new spec. If enough people are interested in
reading the override pasrt of this document, I'll be happy
to externalize that part as a separate file.

There is also a somewhat related issue for Editor, which needs
to address some Editor-sepcific issues.The Editor specs for
the old 5.0 project is here:

http://warp/GApps/intl/gromit/gromitcomposer.html

The Mail pasr of the request was filed as; Bug 5938.

Our hope is that we should come up with a consistent
UI for the override taking into account various needs
involved.

I'll add more comments later.
Comment 1 Frank Tang 1999-06-10 22:36:59 PDT
Mark this as a M10 feature.
Comment 2 Frank Tang 1999-08-30 17:46:59 PDT
Move to M11
Comment 3 Frank Tang 1999-09-17 12:17:59 PDT
this have dependency on cata's encoding menu work. Since he won't make it untill
next Monday, I don't think I can work on this in M11. Move to M12
Comment 4 Frank Tang 1999-09-24 15:17:59 PDT
reassign to cata.
Should considering use "Shift-" menu select for "Charset Override" ? Momoi- what
is the currenty ui spec say?
Comment 5 Erik van der Poel 1999-09-24 15:22:59 PDT
Cata, please put a pointer to the spec in this bug report.

Frank, I think the Shift menu selection is too obscure. Users want the menu to
have an effect when they select something, even without the Shift key.
Comment 6 Katsuhiko Momoi 1999-09-28 12:49:59 PDT
My current proposal is that:

"Changing a Character encoding menu on a page with a meta tag which
has been loaded already triggers Charset override. The override
is one time only and will not persist. This way it will not
require any additional UI."

This proposal is contained in this document (See the section on
Charset override.)

http://rocknroll/users/momoi/publish/seamonkey/50intlui.html

I'll be updating this document as it relates to Charset menu UI
according to the more recent UI proposal in the Editor UI document
and also other-lang related preferences.

I've looked at IE5 for charset override behavior and it simply
override any meta tag if you choose a menu item other than the
one that is the current document charset. This does not persist
and you can override it any number of times with different
selections.
Comment 7 Katsuhiko Momoi 1999-09-28 12:51:59 PDT
I also agree with Erik that using special key is not needed.
I think we want this to be a easily discoverable process and
changing a menu is what the users are used to already.
Comment 8 bobj 2000-01-14 16:05:59 PST
Out of time for M13, moving to M14.
Comment 9 Frank Tang 2000-01-24 10:38:55 PST
change platform to ALL
Comment 10 Frank Tang 2000-01-24 10:40:34 PST
change OS to ALL
Comment 11 Teruko Kobayashi 2000-02-01 16:35:37 PST
Added beta1 for Encoding menu functional.
Comment 12 Teruko Kobayashi 2000-02-04 15:29:20 PST
Changed QA contact to amasri@netscape.com.
Comment 13 cata 2000-02-14 12:00:20 PST
ETA moved to 15.
Comment 14 bobj 2000-02-18 16:56:20 PST
Cata, I cleared the ETA.  Please update with new ETA.
Comment 15 cata 2000-02-23 16:08:56 PST
I'm not done yet. I think tomorrow it'll be ready.
Comment 16 leger 2000-02-23 16:14:11 PST
This will become a pdt- on friday if you don't make tomorrow.  Good luck! ;-)
Comment 17 bobj 2000-02-25 15:09:02 PST
cata has a fix that seems to be working in his local tree.  But he needs
to review his code and discuss with ftang and do some thorough testing
before checking in.  It won't be checked in today.  We probably will check
in early next week or post-Beta1 depending upon the review and testing.
Comment 18 Jim Roskind 2000-03-01 13:00:39 PST
Either get this reviewed an in RSN, or get it off the radar.  Your last comment 
suggests that you are willing to later it (post beta).  One way or the other, 
lets move this one along.
Please update the status whiteboard with a landing date if it is going in now.
Thanks,
Jim
Comment 19 cata 2000-03-01 13:20:58 PST
No, we still want this for beta. I am almost done with the latest revision of my 
patch, we have a set of tests, and QA is ready to hammer on it. Check-in date 
is tomorrow or Friday the latest.
Comment 20 cata 2000-03-02 18:26:32 PST
Ok. the charset override has been activated. Remaining work is post-beta, bug 
#30169
Comment 21 Daniel Bratell 2000-03-04 23:45:45 PST
If the fix was backed out, shouldn't this bug be reopened?
Comment 22 cata 2000-03-05 13:17:18 PST
Fix was backed out. It caused regression #30299
Comment 23 bobj 2000-03-06 13:27:05 PST
Removed this from beta1 candidacy.
Comment 24 Frank Tang 2000-03-13 09:48:58 PST
cata- please clean up the REOPEN state and mark it ASSIGN. And please state 
clearly what kind of regression you introduce last time so QA can verify when 
you fix this later. 
Comment 25 cata 2000-03-22 13:57:43 PST
*** Bug 30169 has been marked as a duplicate of this bug. ***
Comment 26 leger 2000-04-24 17:07:02 PDT
Putting on [nsbeta2+] radar.  
Comment 27 cata 2000-05-17 17:37:46 PDT
Implemented. For now, it is activated only when you add the following line in 
your prefs file: pref("intl.charset.override", "yes");

QA, please activate and test it. Fill the eventual bugs against me...
Comment 28 Teruko Kobayashi 2000-05-22 13:17:41 PDT
Changed QA contact to teruko@netscape.com.
Comment 29 Teruko Kobayashi 2000-05-30 14:16:00 PDT
I tested this in 2000-05-30 Win32 build, the override in the following specs does not work.
http://rocknroll/users/momoi/publish/seamonkey/5_0intlbrowsermenudft2.html

Charset Override: 
An override will not persist if a new document is loaded or Super-reload of the same document is chosen(?) -- see below for Issues. 

Steps of reproduce
1. Put user_pref("intl.charset.override", "yes"); in prefs.js file
2. Start Netscape 
3. Go to http://home.netscape.com/ja/
4. Select Character coding ->Multibyte->Japanese(EUC-JP)
   The page is tried to loaded as EUC-JP.  The Japanese characters are displayed 
   garbage. (This is correct.)
5. Go to http://home.netecape.com/ko/
   The page is displayed the different Kanji characters.  This page is not in
   Korean characters.
 
   If new document is loaded, the override is not persist. So, this page is loaded as Korean (EUC-KR) since this page has meta charset info.


   
Comment 30 Mike 2000-06-21 13:36:31 PDT
M16 has been out for a while now, these bugs target milestones need to be 
updated.
Comment 31 cata 2000-06-22 15:54:18 PDT
I'm marking this bug fixed againb, as the override is not supposed to be 
persistent. It is only supposed to survive a simple "reload". But that is marked 
in different bugs: 43530 and 43529.
Comment 32 Teruko Kobayashi 2000-06-30 13:58:43 PDT
I verified this in 2000-06-30-08 Win32, Mac, and Linux build.

Note You need to log in before you can comment on or make changes to this bug.